Loading...
Searching...
No Matches
XrdCmsRedirLocal.cc File Reference
`#include <XrdCms/XrdCmsRedirLocal.hh>`
Include dependency graph for XrdCmsRedirLocal.cc:

Go to the source code of this file.

## Functions

XrdCmsClient * | XrdCmsGetClient (XrdSysLogger *Logger, int opMode, int myPort, XrdOss *theSS)
| Necessary implementation for XRootD to get the Plug-in.
| XrdVERSIONINFO (XrdCmsGetClient, XrdCmsRedirLocal)

## Function Documentation

## XrdCmsGetClient()

XrdCmsClient * XrdCmsGetClient | ( | XrdSysLogger * | Logger,
|  | int | opMode,
|  | int | myPort,
|  | XrdOss * | theSS )

Necessary implementation for XRootD to get the Plug-in.

Definition at line 25 of file XrdCmsRedirLocal.cc.

{
XrdCmsRedirLocal *plugin = new XrdCmsRedirLocal(Logger, opMode, myPort, theSS);
return plugin;
}
Logger
static XrdSysLogger Logger
Definition XrdCryptoAux.cc:37
XrdCmsRedirLocal
Definition XrdCmsRedirLocal.hh:44

References Logger.

Referenced by XrdVERSIONINFO().

Here is the caller graph for this function:

## XrdVERSIONINFO()

XrdVERSIONINFO | ( | XrdCmsGetClient | ,
|  | XrdCmsRedirLocal | )

References XrdCmsGetClient().

Here is the call graph for this function: